rte_eth_txmode(3)

NAME
rte_eth_txmode

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

enum rte_eth_tx_mq_mode mq_mode
uint64_t offloads
__extension__ uint8_t hw_vlan_reject_tagged: 1
__extension__ uint8_t hw_vlan_reject_untagged: 1
__extension__ uint8_t hw_vlan_insert_pvid: 1
uint64_t reserved_64s [2]
void * reserved_ptrs [2]

Detailed Description

A structure used to configure the Tx features of an Ethernet port.

Definition at line 1041 of file rte_ethdev.h.

Field Documentation

  enum rte_eth_tx_mq_mode mq_mode
Tx multi-queues mode.

Definition at line 1042 of file rte_ethdev.h.

  uint64_t offloads
Per-port Tx offloads to be set using RTE_ETH_TX_OFFLOAD_* flags. Only offloads set on tx_offload_capa field on rte_eth_dev_info structure are allowed to be set.

Definition at line 1048 of file rte_ethdev.h.

  __extension__ uint8_t hw_vlan_reject_tagged
If set, reject sending out tagged pkts

Definition at line 1053 of file rte_ethdev.h.

  __extension__ uint8_t hw_vlan_reject_untagged
If set, reject sending out untagged pkts

Definition at line 1055 of file rte_ethdev.h.

  __extension__ uint8_t hw_vlan_insert_pvid
If set, enable port based VLAN insertion

Definition at line 1057 of file rte_ethdev.h.

  uint64_t reserved_64s[2]
Reserved for future fields

Definition at line 1059 of file rte_ethdev.h.

  void* reserved_ptrs[2]
Reserved for future fields

Definition at line 1060 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.